# Class for forgeo action runner.
class podmanrunner::runner (
  Integer           $replicas         = 2,
)
{
  user { 'podmanuser':
    ensure => present,
    home   => '/opt/podmanuser',
    shell  => '/usr/sbin/nologin',
    uid    => '1001',
    managehome => true,
  }
  package { 'podman':
    ensure   => installed,
    provider => apt,
  }

  package { 'systemd-container':
    ensure   => installed,
    provider => apt,
  }

  file { '/opt/podmanuser/docker-compose.yaml':
    ensure  => file,
    content => template('podmanrunner/docker-compose.yaml.erb'),
    owner   => 'podmanuser',
    group   => 'podmanuser',
    mode    => '0600',
  }

  file { '/opt/podmanuser/bin':
    ensure => directory,
    mode   => '0700',
    owner  => 'podmanuser',
    group  => 'podmanuser',
  }

  file { '/opt/podmanuser/bin/podman-compose':
    ensure => file,
    mode   => '500',
    source => 'puppet:///modules/podmanrunner/podman-compose',
    owner  => 'podmanuser',
    group  => 'podmanuser',
  }
}
